Name:		fermilab-conf_kerberos
Version:	5.2
Release:	1.4
Summary:	A krb5.conf file setup to work with the FNAL.GOV kerberos realm
Packager:	Fermilab Authentication Services

Group:		Fermilab
License:	MIT, freely distributable
URL:		http://helpdesk.fnal.gov
Source0:	http://computing.fnal.gov/authentication/krb5conf/Linux/krb5.conf
Source1:	config-krb5.conf

BuildArch:	noarch
BuildRequires:	coreutils augeas
Requires:	krb5-libs coreutils policycoreutils
Obsoletes:	krb5-fermi-krb5.conf krb5-fermi-config

%description
This rpm provides a krb5.conf file setup to work with the FNAL.GOV
kerberos realm.

You can automatically customize your default KDCs by placing them one per
line in %{_sysconfdir}/krb5.kdclist


###############################################################################
%prep
%{__cp} %{SOURCE0} krb5.conf.template

###############################################################################
%build
TMPFILE='augtool.script'
FILENAME=$(readlink -f krb5.conf.template)
cat > ${TMPFILE} <<EOF
set /augeas/load/Krb5/incl "${FILENAME}"
load

get /files/${FILENAME}/realms/realm[. = 'FNAL.GOV']
EOF

augtool --noload < ${TMPFILE} > parse.out
if [[ $? -ne 0 ]]; then
    exit 1
fi

###############################################################################
%install
rm -rf %{buildroot}

%{__install} -D %{SOURCE1} %{buildroot}/%{_libexecdir}/%{name}/config-krb5.conf

###############################################################################
%check
bash -n %{buildroot}/%{_libexecdir}/%{name}/config-krb5.conf

###############################################################################
%post -p /bin/bash
if [[ -f %{_sysconfdir}/krb5.conf ]]; then
    %{__mv} %{_sysconfdir}/krb5.conf %{_sysconfdir}/krb5.conf.save.pre-%{name}-%{version}-%{release}
fi
%{__cat} %{_defaultdocdir}/%{name}-%{version}/krb5.conf.template > %{_sysconfdir}/krb5.conf

%{_libexecdir}/%{name}/config-krb5.conf %{version}

%{_fixperms} %{_sysconfdir}/krb5.conf
restorecon -F %{_sysconfdir}/krb5.conf

###############################################################################
%files
%defattr(0644,root,root,0755)
%doc krb5.conf.template
%attr(0700,root,root) %{_libexecdir}/%{name}/config-krb5.conf


%changelog
* Wed Feb 10 2016 Frank Nagy <nagy@fnal.gov> 5.2-1.4
- Accepted by Authentication Services

* Wed Feb 10 2016 Frank Nagy <nagy@fnal.gov> 5.2-1.3
- Initial evaluation by Authentication Services

* Tue Oct 20 2015 Pat Riehecky <riehecky@fnal.gov> 5.2-1.2
- Switch back to Frank's scripts

* Fri Aug 7 2015 Pat Riehecky <riehecky@fnal.gov> 5.2-1
- Initial build for EL7

